View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008814CMakeDocumentationpublic2009-03-30 00:262016-06-10 14:30
ReporterJames Bigler 
Assigned ToBill Hoffman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0008814: file(GLOB) needs more specific documentation on supported globbing operations
DescriptionIn the documentation, there should be specific mention of the globbing expressions supported include only *, ?, and [].

Specifically mention that brace expanding ({}) isn't supported.

Specifically mention that regular expressions in glob expressions are not supported.

Also, it should provide an example of doing multiple matches in a single expression: file(GLOB sources "*.cpp" "*.h").
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0041532)
Kitware Robot (administrator)
2016-06-10 14:27

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2009-03-30 00:26 James Bigler New Issue
2009-09-14 14:32 Bill Hoffman Status new => assigned
2009-09-14 14:32 Bill Hoffman Assigned To => Bill Hoffman
2016-06-10 14:27 Kitware Robot Note Added: 0041532
2016-06-10 14:27 Kitware Robot Status assigned => resolved
2016-06-10 14:27 Kitware Robot Resolution open => moved
2016-06-10 14:30 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker